%
%
% 
% 2019/08/07, 11:23
% This file is a LaTeX 2e document class for typesetting articles for
% the TMNA journal.
%
% It is a LaTeX 2e-adjusted version of the former tmna.sty
% documentstyle of LaTeX 2.09,
% merged with TMNA-2013.sty and AMSPPT.sty.
%
% The author of the merge(s), adjustments and changes is Grzegorz Murzynowski,
% natror(ape)sent(dot)at
%
% The Commissioner of this file are the TMNA Journal Editors,
% Nicolaus Copernicus University, Toru\'n, Poland.
%
% Copyright 2014 by
% The Nicolaus Copernicus University of Toru\'n, Poland.

% 
% Needs some standard LaTeX 2e macro packages (.sty files) and also:
% gmbase.sty, gmenvir.sty, gmampulex.sty, gmcommand.sty, gmkeys.sty 
% where the five gm- packages are publicly available and licensed with
% LPPL, but anyway are attached here in their most
% up-to-date-and-working versions.


\NeedsTeXFormat{LaTeX2e}
[1995/06/01]% LaTeX date must be June 1995 or later

% ^^A $Id: tmna.cls,v 0.766 2019/08/07 09:26:26 myamlak Exp $
\def \tmna@RCSparams {% bo użyjemy ich jeszcze do wypisania info o załadowaniu klasy.
  $%
  I%
  d:
  ##1.cls,v %tmna.cls,v         (class name)
  ##2 %0.710         (version number)
  ##3 % 2014/05/03        (date)
  ##4$%^^A  13:40:31 natror Exp
}
\expandafter\def\expandafter\tmna@tempA\tmna@RCSparams
{% to get: |\ProvidesClass {tmna}[2014/05/03 v0.710 The TMNA journal LaTeX/Plain markup document class (GM)]|
  \ProvidesClass{#1}[#3 v#2 The TMNA journal LaTeX/Plain markup document class (GM)]%
}
\tmna@tempA $Id: tmna.cls,v 0.766 2019/08/07 09:26:26 myamlak Exp $


\global\let\LaTeXe@everypar\everypar
\global\let\LaTeXe@everymath\everymath
\global\everypar{}
\global\everymath{}


\LoadClass [leqno]{amsart}
\RequirePackage{amssymb,amsmath,amsthm}

\renewcommand{\theequation}{\thesection.\arabic{equation}}
\@addtoreset{equation}{section}


\let\issueinfo\@undefined
\let\copyrightinfo\@undefined
\let\pagespan\@undefined


\PassOptionsToPackage {quiet}{gmcommand}
\RequirePackage {gmbase,gmenvir}

\RequirePackage
[a4paper,portrait, hmarginratio=1:1,vmarginratio=1:1,
%^^A  left=4cm, top=4cm,
textheight=47pc,textwidth=29pc,
footskip=24pt
]
{geometry}

\global\hsize\textwidth
\AtBeginDocument{\global\hsize\textwidth}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% adjustments of the "Plain-way" markup for \LaTeXe:

\glet\document@@\document
\def\document{%
  \@ifenvir{document}
  {\document@@ }
  {\glet\document\document@@
    \begin{document}%
  }%
  \global\emptify\document
}


\def\topmatter {%
  \let\document\document@@
  \begin{document}%
  \global\relaxen\topmatter
  \global\emptify\document
  \tmna@AtTopmatter
}


% ^^A % =================={[ from the TeX format Plain ==================

%^^A\newif\ifr@ggedbottom

\newtoks\headline
\newtoks\footline


% ^^A % ================== eof from the TeX format Plain ]}==================
% ^^A
% ^^A
% ^^A % =================={[ from the original file AMS-TEX.tex ==================

\toksdef\toks@@=2
\let\eat@\@gobble

\newif\ifsyntax@
\newcount\countxviii@
\def\syntax{\syntax@true\dodummy@\countxviii@\count18
 \loop\ifnum\countxviii@>\m@ne\textfont\countxviii@=\dummyft@
 \scriptfont\countxviii@=\dummyft@\scriptscriptfont\countxviii@=\dummyft@
 \advance\countxviii@\m@ne\repeat                                           %1
 \dummyft@\tracinglostchars\z@\nopages@\frenchspacing\hbadness\@M}

\def\FN@{\futurelet\next}
\def\DN@{\def\next@}
\def\DNii@{\def\nextii@}



% ^^A % ================== eof from the original file AMS-TEX.tex ]}==================
%
%
% ^^A % =================={[ from the original file AMSPPT.sty ==================

% Czyli to jest takie a la argument opcjonalny, ze sie pisze
% |\nofrills| na poczatku argumentu i wtedy dane makro zachowuje sie
% inaczej, np. |\subjclass|.
\def\identity@#1{#1}
\def\nofrills@@#1{%
 \DN@{#1}%
 \ifx\next\nofrills \let\frills@\eat@
   \expandafter\expandafter\expandafter\next@\expandafter\eat@
  \else \let\frills@\identity@\expandafter\next@\fi
}

\def\nofrillscheck#1{\def\nofrills@{\nofrills@@{#1}}%
  \futurelet\next\nofrills@
}

\glet\add@missing\@gobble


\newif\ifmonograph@
\def\Monograph{\monograph@true \let\headmark\rightheadtext
  \let\varindent@\indent \def\headfont@{\bf}\def\proclaimheadfont@{\smc}%
  \def\remarkheadfont@{\smc}%
}



\newtoks\leftheadtoks
\newtoks\rightheadtoks


\newdimen\rosteritemwd
\rosteritemwd16pt % approximately the width of (iii) in 10 point text

\pdef\roster{%
  \begin{itemize}%
  \let\item@@\item
  \def\item "##1"{%
    \item@@ [##1]%
  }%
}
\pdef\endroster{\end{itemize}}


\hyphenation{acad-e-my acad-e-mies af-ter-thought anom-aly anom-alies
an-ti-deriv-a-tive an-tin-o-my an-tin-o-mies apoth-e-o-ses
apoth-e-o-sis ap-pen-dix ar-che-typ-al as-sign-a-ble as-sist-ant-ship
as-ymp-tot-ic asyn-chro-nous at-trib-uted at-trib-ut-able bank-rupt
bank-rupt-cy bi-dif-fer-en-tial blue-print busier busiest
cat-a-stroph-ic cat-a-stroph-i-cally con-gress cross-hatched data-base
de-fin-i-tive de-riv-a-tive dis-trib-ute dri-ver dri-vers eco-nom-ics
econ-o-mist elit-ist equi-vari-ant ex-quis-ite ex-tra-or-di-nary
flow-chart for-mi-da-ble forth-right friv-o-lous ge-o-des-ic
ge-o-det-ic geo-met-ric griev-ance griev-ous griev-ous-ly
hexa-dec-i-mal ho-lo-no-my ho-mo-thetic ideals idio-syn-crasy
in-fin-ite-ly in-fin-i-tes-i-mal ir-rev-o-ca-ble key-stroke
lam-en-ta-ble light-weight mal-a-prop-ism man-u-script mar-gin-al
meta-bol-ic me-tab-o-lism meta-lan-guage me-trop-o-lis
met-ro-pol-i-tan mi-nut-est mol-e-cule mono-chrome mono-pole
mo-nop-oly mono-spline mo-not-o-nous mul-ti-fac-eted mul-ti-plic-able
non-euclid-ean non-iso-mor-phic non-smooth par-a-digm par-a-bol-ic
pa-rab-o-loid pa-ram-e-trize para-mount pen-ta-gon phe-nom-e-non
post-script pre-am-ble pro-ce-dur-al pro-hib-i-tive pro-hib-i-tive-ly
pseu-do-dif-fer-en-tial pseu-do-fi-nite pseu-do-nym qua-drat-ic
quad-ra-ture qua-si-smooth qua-si-sta-tion-ary qua-si-tri-an-gu-lar
quin-tes-sence quin-tes-sen-tial re-arrange-ment rec-tan-gle
ret-ri-bu-tion retro-fit retro-fit-ted right-eous right-eous-ness
ro-bot ro-bot-ics sched-ul-ing se-mes-ter semi-def-i-nite
semi-ho-mo-thet-ic set-up se-vere-ly side-step sov-er-eign spe-cious
spher-oid spher-oid-al star-tling star-tling-ly sta-tis-tics
sto-chas-tic straight-est strange-ness strat-a-gem strong-hold
sum-ma-ble symp-to-matic syn-chro-nous topo-graph-i-cal tra-vers-a-ble
tra-ver-sal tra-ver-sals treach-ery turn-around un-at-tached
un-err-ing-ly white-space wide-spread wing-spread wretch-ed
wretch-ed-ly Brown-ian Eng-lish Euler-ian Feb-ru-ary Gauss-ian
Grothen-dieck Hamil-ton-ian Her-mit-ian Jan-u-ary Japan-ese Kor-te-weg
Le-gendre Lip-schitz Lip-schitz-ian Mar-kov-ian Noe-ther-ian
No-vem-ber Rie-mann-ian Schwarz-schild Sep-tem-ber}


% ^^A % ================== eof from the original file AMSPPT.sty ]}==================
%
%
% ^^A % ================== {[from the original file TMNA2013.sty ==================

\widowpenalty=10000
\clubpenalty=10000
\brokenpenalty=10000

%  Set the page size and first-page sink appropriately

\newdimen\indenti
\indenti=3pc
\newdimen\rosteritemwd
\rosteritemwd 21pt % approximately the width of (iii) in 10 point text


%  Page numbers and running heads are provided by default, as defined
%  in AMSPPT.STY.  Headline text is centered, and page numbers are
%  positioned at the outside corners.  To suppress page numbers and/or
%  running heads, include \NoPageNumbers and/or \NoRunningHeads in the
%  input file, as appropriate.

%  In TMNA, we do want running heads.  We must provide suitable
%  fonts definitions.  TMNA specs call for 7-point headlines,
%  but \sevenpoint is not defined in AMSPPT.STY; substitute \eightpoint,
%  which is defined.

\def\do #1#2{%
  \unless\ifdefined #1%
    \protected    \def#1{#2}%
  \fi
}

\linespread {1.16}
\pdef\tmna@footnotebaseline {\fontsize {8}{8.62069}\selectfont}% goal baseline: 10pt

\do\sixpoint{\fontsize {6}{7.2}}
\do\sixrm{\sixpoint\rm}
\do\sixbf{\sixpoint\bf}

\do\sevenpoint{\fontsize {7}{8.4}\selectfont}
\do\sevenrm {\sevenpoint \rm}
\do\sevenit {\sevenpoint \it}
\do\eightpoint{\footnotesize \tmna@footnotebaseline}
\do\eightrm{\rm\footnotesize\tmna@footnotebaseline}
\do\tenpoint{\normalsize}
\do\tenrm{\rm\normalsize}
\do\smc{\sc}



\def\foliofont@{\eightrm}
\def\headlinefont@{\eightpoint\smc}
\def\authorfont{\eightpoint\smc}

%       define  a logo for the upper left-hand corner


\font\sixsy=cmsy6


\def\jourlogo{\vbox to0pt{%
\sixrm \baselineskip7pt
\parindent0pt \frenchspacing
{\sixbf T}opological {\sixbf M}ethods in {\sixbf N}onlinear {\sixbf A}nalysis \hfil\break
{\sixrm   Volume \cvol@, No.\ \nvol@, \cvolyear@, \pagefrom@--\pageto@}
\hfill\vskip0.8pt
{\sixrm DOI: %http://dx.doi.org/
10.12775/TMNA.\DOI@}
\hfill\break
\hfill\break
{\sixrm \textfont2=\sixsy \baselineskip 8pt \raise 0.5pt\hbox{\copyright} \cyear@\  Juliusz Schauder Centre for Nonlinear Studies}\hfill\break
{\sixrm Nicolaus Copernicus University in Toru\'n}  
\par\vss}}

%       macros to be put into the |\topmatter| for the logo
\def\nvol#1{\gdef\nvol@{\ignorespaces#1\unskip}}
\def\pagefrom#1{\gdef\pagefrom@{\ignorespaces#1\unskip}}
\def\pageto#1{\gdef\pageto@{\ignorespaces#1\unskip}}
\def\mrecvd#1{\gdef\mrecvd@{\ignorespaces#1\unskip}}
\def\accepted#1{\gdef\accepted@{\ignorespaces#1\unskip}}
\def\DOI#1{\gdef\DOI@{\ignorespaces#1\unskip}}

\def\FinVolNo@{{\eightpoint\sl TMNA\/} {\eightpoint\smc: 
                Volume \cvol@\ -- \cvolyear@\ -- N$^{\text{o}}$\,\nvol@}}

%\def\FinVolNo@{{\eightpoint\smc DOI\/}{\eightpoint\rm:
%%http://dx.doi.org/
%10.12775/{\smc TMNA}.\DOI@}}

\def\cvol#1{\gdef\cvol@{\ignorespaces#1\unskip}}
\let\currentvolume\cvol

\def\cvolyear#1{\gdef\cvolyear@{\ignorespaces#1\unskip}}
\let \currentyear\cvolyear

\def\cyear#1{\gdef\cyear@{\ignorespaces#1\unskip}\cyear@@#100000\end@}
\let\copyrightyear\cyear


\def\cyear@@#1#2#3#4#5\end@{\gdef\cyearmodc@{#3#4}%
        \gdef\cyearmodcHold@{#3#4}}

\def\ISSN #1{\def\ISSN {#1}}

\def\pages #1{\tmna@pages #1\@nil}
\def\tmna@pages #1--#2\@nil{%
  \pagefrom {#1}\pageto{#2}%
}


\nvol{00}
\pagefrom{1}
\pageto{1}
\mrecvd{MONTH 00, 0000}
\accepted{MONTH 00, 0000}
\cvol{00}
\cyear{0000}
\cvolyear{0000}
\DOI{yyyy.000}

\font\sixsy=cmsy6

\def\copyrightline@{%\baselineskip1.75pc
% \rightline{%
% \vbox{\sixrm \textfont2=\sixsy \baselineskip 7pt
% \halign{\hfil##\cr
%  \copyright\cyear@\ Juliusz Schauder University Centre for Nonlinear Studies\cr
%}}}
}

\def\cyearmodc#1{\gdef\cyearmodc@{\ignorespaces#1\unskip}}
\let\copyrightyearmodC\cyearmodc

%  The copyright block takes the place of the AMS-TeX logo; otherwise the
%  AMSPPT.STY output routine does what we want.

\let\logo@=\copyrightline@

%  TMNA text font is 10-on-14; AMSPPT.STY is 10-on-12


\def\tenpoint{\rm\normalsize}



% ^^A \font\titleit, \font\titlesy &c. sa zdefiniowane zgodnie ze stanem domyslnym LaTeXa. Zatem definicje te pomijam.
%
\pdef\titlebf{\bf\normalsize}
\def\titlefont{%
  \normalbaselineskip14\p@
  \titlebf
}

\pdef
\tmna@MakeHead
#1% |left| or |right|
#2% head contents
{\global\csn{#1headtoks}{% i.e., |\leftheadtoks| or |\rightheadtoks|
    \hbox {%
    \headlinefont@ \ignorespaces #2\unskip
    }%
  }%
}

\pdef\leftheadtext #1{\tmna@MakeHead{left}{#1}}%
\pdef\rightheadtext #1{\tmna@MakeHead{right}{#1}}%
\pdef\headlines #1#2{\leftheadtext {#1}\rightheadtext{#2}}


\pdef\tmna@defboth
#1% the macro named with the “tmna@” prefix
#2% the Plain/LaTeX macro/command.
%^^V #3#% possible parameter string for the Plain version. Delimited with
% opening brace-group. Therefore |#4| is implicit, see l.\ref{implicit-hash-4}
% implicit |#4| definition's body
%
% |\tmna@defboth| defines |#1| c.s.\ as a macro with parameters |#3|
% delimited with |\end<#1>| and doing what |#1| was doing in Plain
% version.
% Then |#2| is defined as a macro with one undelimited parameter and
% expanding to the plain version with proper delimiter |\end<#1>|
{%
  \edef\tmna@tempA {%
    \def \@nx #2####1{\@nx #1####1\@xanxcs {end\@xa\@gobble\string#2}}%
  }%
  \tmna@tempA
  % ^^A  \ s how #2%
  \tmna@defPlain #1#2%
}%

% Now, |\tmna@defPlain| leaves the \LaTeXe version of the command |#2| intact.
\pdef\tmna@defPlain
#1%
#2%
#3#%
{%
  \addtomacro \tmna@AtTopmatter
  {\let #2#1}%
  \pdef #1#3% \label{implicit-hash-4}
}

\emptify \tmna@AtTopmatter

\newbox\titlebox@

\DeclareCommand\tmna@title
{ #1 o % short version for running head
  #2 K{#1\endtitle}
}{%
  \begingroup
  \let\\=\cr
  \global\setbox\titlebox@\vtop{\titlefont\bf
    \centering %^^A\frills@\expandafter
    \uppercase{#2}%
    \endgraf
  }%
  \ifmonograph@
    \gmu@ifeempty {\the\leftheadtoks}
    {\gmuIfValueTF {#1}{\leftheadtext {#1}}{\leftheadtext {#2}}}
    {}%
  \fi
  \gmu@ifeempty {\the\rightheadtoks}%
  {\gmuIfValueTF {#1}{\rightheadtext{#1}}{\rightheadtext{#2}}}
  {}%
  \endgroup
  \glet\title\@gobble
}

\addtomacro \tmna@AtTopmatter  {\CommandLet \title\tmna@title }%

% |\title| do użytku \LaTeX owego. Do użytku „Plainowatego” zletujemy
% go w |\topmatter|.
\DeclareCommand \title
{#1 o % short title for running head
  #2 m % full title
}
{\DCUse\tmna@title {#1}{#2}}


%  authors are set in smc
\newbox\authorbox@

\DeclareCommand \tmna@author
{#1 o % short for running head,
  #2 K{#1\endauthor}% full for title page.
}{%
  \global\setbox\authorbox@
  \vbox{\tenpoint\centering
    \expandafter
    \smc
    {\ignorespaces#2\endgraf}}\relaxnext@
  \gmu@ifeempty {\the\leftheadtoks}
  {\gmuIfValueTF{#1}{\leftheadtext{#1}}{\leftheadtext{#2}}}
  {}%
}

\DeclareCommand \author
{ o
  m
}{\DCUse\tmna@author {#1}{#2}}

\addtomacro \tmna@AtTopmatter  {\CommandLet \author\tmna@author }%


\newbox\affilbox@
\tmna@defboth\tmna@affil\affil
#1\endaffil{\global\setbox\affilbox@ \vbox{\tenpoint\raggedcenter@#1\endgraf}}

\newcount\addresscount@
\addresscount@\z@
\tmna@defboth\tmna@address\address
#1\endaddress{%
  \def\\{\newline}%
  \global\advance\addresscount@\@ne
  \expandafter\gdef\csname address\number\addresscount@\endcsname
  {\vskip12\p@ minus6\p@\noindent\eightpoint{\ignorespaces#1}\par}%
}

%  Current addresses as well as permanent ones must be accommodated.
%  Check on the skip before the address; it may be a fixed 6pt.
%  \smallskip has been assumed before the current address, as that
%  is what has been used for \email.

\tmna@defboth\tmna@email\email
{\let\savedef@\email
  \def\email##1\endemail{\let\email\savedef@
  \toks@{\def\usualspace{{\it\enspace}}\endgraf\smallskip\indent\eightpoint}%
  \toks@@{##1\par}%
  \expandafter\xdef\csname email\number\addresscount@\endcsname
  {\the\toks@\frills@{{\noexpand\it E-mail address\noexpand\/}:%
     \noexpand\enspace}\the\toks@@}}%
  \nofrillscheck\email
}


\newbox\checkbox
\setbox\checkbox=\hbox{{\ignorespaces\eightpoint\it
		\indent Current address}:\space}

\tmna@defPlain \tmna@curraddr \curraddr {%
  \let\savedef@\curraddr
  \def\\{\newline}%
  \def\curraddr##1\endcurraddr{%
    \let\curraddr\savedef@
  \toks@\expandafter\expandafter\expandafter{%
       \csname address\number\addresscount@\endcsname}%
  \toks@@{\hangindent\wd\checkbox##1\par}%
  \expandafter\xdef\csname address\number\addresscount@\endcsname
  {\the\toks@\endgraf\noexpand\nobreak
    \smallskip\indent\noexpand\eightpoint{\noexpand\rm
    \frills@{{\noexpand\it Current address\noexpand\/}:\space}%
    \def\noexpand\usualspace{\space}\the\toks@@\unskip}}}%
  \nofrillscheck\curraddr
}

\pdef
\curraddr
#1{%
  \def\\{\newline}%
  \Name\xdef {address\number\addresscount@}%
  {\@xaucs {address\number\addresscount@}%
    \unexpanded {%
      \endgraf\nobreak
      \smallskip
      \noindent\copy\checkbox
    }% of unexpanded
    {%
      \def\@nx\usualspace{\space}%
      \unexpanded {\hangindent\wd\checkbox #1\par \unskip }%
    }%
  }% of xdef {address<number>}
}% of |\curraddr|


\tmna@defboth\tmna@date\date
#1\enddate{\gdef\thedate@{\tenpoint#1\unskip}}



\def\thethanks@{}
\newcount\c@thanks

\tmna@defboth\tmna@thanks\thanks
#1\endthanks{%
  \global\advance\c@thanks\@ne
  \gmu@ifnum {\c@thanks=\@ne }
  {\gdef\thethanks@{\eightpoint \ignorespaces #1}}%
  {\gaddtomacro \thethanks@ {%
      \endgraf  \leavevmode \@thefnmark #1%
    }%
  }%
}


\def\thededicatory@{}
\tmna@defboth \tmna@dedicatory \dedicatory
#1\enddedicatory{%
  \gdef\thededicatory@{{\eightpoint\it\centering#1\endgraf}}%
}


\def\thesubmittedby@{}
\tmna@defboth  \tmna@submittedby \submittedby 
#1\endsubmittedby{%
  \gdef\thesubmittedby@{{\eightpoint\sl
      \centering{\rm (}Submitted by #1\/{\rm )}\endgraf}}}

\def\thekeywords@{}
\tmna@defboth\tmna@keywords\keywords
{%
  \let\savedef@\keywords
  \def\keywords##1\endkeywords{%
    \let\keywords\savedef@
    \toks@{\def\usualspace{{\it\enspace}}\eightpoint}%
    \toks@@{##1\unskip.}%
    \edef\thekeywords@{\the\toks@
      \frills@{{\noexpand\it Key words and phrases.\noexpand\enspace}}\the\toks@@}%
  }% 
  \nofrillscheck\keywords
}

\def\thesubjclass@{}
\tmna@defPlain\tmna@subjclass\subjclass
{%
  \let\savedef@\subjclass
  \def\subjclass##1\endsubjclass{\let\subjclass\savedef@
    \toks@{\def\usualspace{{\rm\enspace}}\eightpoint}%
    \toks@@{##1\unskip.}%
    \edef\thesubjclass@{\the\toks@ \frills@{\@nx\subj@mcmxci }%
      \the\toks@@}}%
  \nofrillscheck\subjclass
}

% for LaTeX
\DeclareCommand \subjclass {
 % o{1991}
o{2010}
  m
}
{%
  \gmu@ifcsname {subj@\romannumeral #1}%
  {%
    \toks@{\def\usualspace{{\rm\enspace}}\eightpoint}%
    \toks@@{#2\unskip.}%
    \edef\thesubjclass@ {%
      \the\toks@ {\csn{subj@\romannumeral #1}}%
      \the\toks@@
    }%
  }
  {\ClassError {tmna}{Math. Subject Classif. version #1 unknown!}{}{}{}}%
}




%% abstract (mjsz)

\newbox\abstractbox@
% No need of “TMNA”-ization of this, it already works as a \LaTeX\ environment.
\def\abstract{%
  \let\savedef@\abstract
  \def\abstract{%
    \let\abstract\savedef@
    \global\setbox\abstractbox@\vbox\bgroup\noindent$$% $$
    \vbox\bgroup
    % ^^A    \def\envir@end{\endabstract}%
    \edef\tmna@abstactwd {\the\dimexpr\hsize -2\indenti\relax}%
    \hsize\tmna@abstactwd\relax
    \noindent
    \begin{minipage}{\tmna@abstactwd }\relax
    % ^^A \advance\hsize-2\indenti
    \def\usualspace{\enspace}\eightpoint 
    \noindent
    \frills@{{\smc Abstract.\enspace}}%
  }% of def inner |\abstract|.
  \nofrillscheck\abstract
}% of abstract
\def\endabstract{\par\unskip
\end{minipage}%
\par\unskip\egroup$$\egroup}


\let\pretitle\relax
\let\preauthor\relax
\let\preaffil\relax
\let\predate\relax
\let\preabstract\relax
\let\prepaper\relax


% ^^A \pageheight{47pc}
% ^^A \pagewidth{29pc}
\newdimen\tmna@parindent
\tmna@parindent=16\p@
\parindent\tmna@parindent

\def\pretitle{\vskip8.75pc\relax}
\def\preauthor{\vskip30\p@}
\def\prededicatory{\vskip1.75pc}


\def\thetranslator@{}
\def\tmna@translator{%
  \let\savedef@\translator
  \def\translator##1\endtranslator{\let\translator\savedef@
    \edef\thetranslator@{\noexpand\nobreak\noexpand\medskip
      \noexpand\line{\noexpand\eightpoint\hfil
      \frills@{Translated by \uppercase}{##1}\qquad\qquad}%
       \noexpand\nobreak}}%
  \nofrillscheck\translator
}



%  \keywords, \subjclass and \thanks appear as first-page footnotes.
%  Reformat the top matter for TMNA style.

%^^A\AtBeginDocument {\footnotesep 14pt }

\newif\if@fnsep@changed@
\pdef\tmna@fntext #1{%
  \@footnotetext {#1}%
}

\outer\def\endtopmatter {%
  \add@missing\endabstract % as in amsppt.sty (mjsz)
  % 
  \gmu@ifeempty {\the\leftheadtoks}
  {\markboth{\the\rightheadtoks}{\the\rightheadtoks}}%
  {\markboth{\the\leftheadtoks}{\the\rightheadtoks}}%
  %
  \ifmonograph@\else
    \begingroup
    \def\thefootnote{}%
    \def \@thefnmark {\kern -\parindent \kern\tmna@parindent \relax \hbox{}}%
    \ifx\thesubjclass@\empty\else \tmna@fntext {\thesubjclass@}\fi
    \ifx\thekeywords@\empty\else \tmna@fntext {\thekeywords@}\fi
    \ifx\thethanks@\empty\else \tmna@fntext {\thethanks@}\fi
    \endgroup
  \fi
  \hrule\vskip14pt\relax
    \jourlogo
    \pretitle
    \unvbox\titlebox@
    \topskip10pt\relax % reset to normal value
    \preauthor
  \ifvoid\authorbox@\else \unvbox\authorbox@\fi
  \prededicatory
   \ifx\thesubmittedby@\empty\else
        \thesubmittedby@\fi
   \centerline{\vbox{\hrule width 10pc}}%
   \ifx\thededicatory@\empty\vskip14\p@\relax\else
	\vskip6\p@\relax\thededicatory@\fi
      %% add abstract (mjsz)
  \preabstract
  \ifvoid\abstractbox@\else
    \vskip1.5pcplus.5pc\unvbox\abstractbox@ 
  \fi	
  %% endadd (mjsz)
  \prepaper
  \vskip24\p@ plus12\p@ minus0\p@
  % 
  %
  %% footnote marks are to be in parentheses. (2014/07/15, 23.58 GM)
  \global\let \@makefnmark@LaTeX \@makefnmark
  \global\def\@makefnmark{%
    \ifhmode \unskip ~\else  \leavevmode \fi
    \bgroup\normalfont(\@makefnmark@LaTeX)\egroup
  }%
  \global\def\@makefntext {\indent \@makefnmark \space }%
}% of |\endtopmatter|.

\pdef\maketitle{\csn{endtopmatter}}% albowiem endtopmatter jest |\outer|.


%  Heading styles are different from AMSPPT.STY:
%  \heading is bold, otherwise the same.
%  \subheading and \subsubheading are indented, otherwise the same.

\def\headfont@{\bf}
\def\refheadfont@{\smc}
\let\varindent@\indent



%  Indentation for \proclaim, \demo, etc., are the same as for \subhead,
%  and are taken care of by \varindent.
%  \proclaim head font is small caps, and the text font is italic.
%  \demo is preceded by a \smallskip and followed by none.

\def\qed{\ifhmode\unskip\nobreak\fi\hfill
  \ifmmode\square\else$\m@th\square$\fi}


\def\proclaimheadfont@{\smc}


\def\demoheadfont@{\smc}
\def\remarkheadfont@{\smc}



%  Roman type is needed within the statement of theorems for numerals,
%  fences, labels, etc. .

\def\rom#1{{\rm #1}}


\def\citefont@{\rm}


%  Some patches are needed, to make \yr appear in translation information,
%  and to avoid the spurious unboxing of some empty boxes.

%  Add current address to \enddocument


\let\enddocument@@\enddocument


% \outer
\def\enddocument{\par % \par will do a runaway check for \endref
  \let\enddocument\enddocument@@
  \end{document}%
}

\pdef\tmna@AtED {%
  \add@missing\endRefs
  \add@missing\endroster \add@missing\endproclaim
  \add@missing\enddefinition
  \add@missing\enddemo \add@missing\endremark \add@missing\endexample
 \ifmonograph@ % do nothing
 \else
\vskip14pt
\rightline{\sevenit Manuscript received \mrecvd@}
\rightline{\sevenit accepted \accepted@}
 \nobreak
 \thetranslator@
 \count@\z@ \loop\ifnum\count@<\addresscount@\advance\count@\@ne
 \csname address\number\count@\endcsname
 \csname email\number\count@\endcsname
 \repeat
\fi
 \vfill
\leftline{\FinVolNo@ }
%^^A \supereject\end@@
}
\AtEndDocument \tmna@AtED


% ^^A       %==========================================================%
% ^^A       %  SET MAXIMUM WIDTH OF KEY {\widestnumber\key{[...]}}      
% ^^A       %  BEFORE \redefine \keyformat                              
% ^^A       %==========================================================%
% ^^A 
% ^^A     \widestnumber\key{[99]}
% ^^A     \redefine\keyformat#1{\hfil{[#1]\quad}}    
\def\keyformat#1{\hfil{[#1]\quad}}    

\def\refstyle#1{\uppercase{%
  \if#1A\relax \def\keyformat##1{\hfil{[##1]\quad}}%
  \else\if#1B\relax
    \def\keyformat##1{\aftergroup\kern
              \aftergroup-\aftergroup\refindentwd}%
    \refindentwd\parindent
 \else\if#1C\relax
   \def\keyformat##1{\hfil{[##1]\quad}}%
 \fi\fi\fi}% end of \uppercase
}

\def\by{\makerefbox\by\bybox@\authorfont} 
\let\manyby\by % for backward compatibility


% 2000 subjclass
% usage: \subjclass\nofrills\newsubj ....\endsubjclass

\pdef\subj@mcmxci{\rm 1991 {\it Mathematics Subject Classification}.\enspace }
\pdef\subj@mm{\rm 2000 {\it Mathematics Subject Classification}.\enspace }
% mjsz
%\pdef\newsubj{\rm 2010 {\it Mathematics Subject Classification}.\enspace }
\pdef\subj@mmx{\rm 2010 {\it Mathematics Subject Classification}.\enspace }
\pdef\newsubj{\rm 2020 {\it Mathematics Subject Classification}.\enspace }
%\let\subj@mmx\newsubj
\let\subj@mmxx\newsubj

% ^^A \def\amsversion{2.1}
% ^^A \endinput
% ^^A 
% ^^A %-----------------------------------------------------------------------------
% ^^A % End of TMNA.sty    
% ^^A %-----------------------------------------------------------------------------
% ^^A 
% ^^A % ================== eof from the original file TMNA2013.sty ]}==================


\global\let\everypar\LaTeXe@everypar
\global\let\everymath\LaTeXe@everymath


% Now the adjustments to make it usable the LaTeX way, i.e., with the
% theorem-like environments &c.
%
%
\def\Refs \widestnumber\key #1{\begin{thebibliography}{#1}}
\def\endRefs{\end{thebibliography}}

\prependtomacro\@bibtitlestyle {\begingroup \def\@sectionfont {\sc}}
\addtomacro\@bibtitlestyle{\endgroup}

\def\head #1. #2\endhead{\section{#2\unskip}}

\Name\def{r@tocindent0}{\z@}
\Name\def{r@tocindent1}{\z@}
\Name\def{r@tocindent2}{\z@}
\Name\def{r@tocindent3}{\z@}

\newcounter {theorem}[section]

% Now we define a bunch of "newtheorem"'s. 
% But providing them just by the AMS-TeX (amsthm) |\newtheorem| is not
% enough to make our class work with both \LaTeXe\ and "Plain" markup.
% Therefore we wrap amthm newtheorems in some tests and aliases.
\def\tmna@thm
#1% name of the theorem-environment
#2% Label (printed name)
{%
  \newtheorem {#1@tmna}[\tmna@thm@counter]{#2}% we add the "@tmna'' suffix to the env's name.
  \Name\gdef {#1}{%
    \@ifenvir {#1} % if now-defined command is used as an environment, we just put it. Otherwise we make the environment by ourselves.
    {%
      \thm@headfont {\sc }%  theorem label font
      \begin{#1@tmna}}% and we don't check for curly braces since in \LaTeX there can be "the optional argument" given.
    %
    {% the "Plain-way", i.e., given as a control sequence, then we
     % open a "named group" by ourselves:
      \gme@EnvirOpen {#1@tmna}% only opening of a "named group";
    % And we look for curly braces in which an explicit label could be provided.
      \@ifnextchar\bgroup % if the "Plain-way" use of our theorem-command is followed by the opening curly brace cat.1, then we understand that brace as the explicit label to the theorem-env.
      {\Name\@xa{#1@tmna}\thm@plain@getlabel}
      {\csn{#1@tmna}}%
    }%
  }% of explicit |#1|-command
  %
  \Name\gdef {end#1}{%
    \end{#1@tmna}%
    % ^^A     \@ifenvir {#1}
    % ^^A     {\gme@EnvirClose {#1}}% it's spurious.
    % ^^A     {}%
  }% of end-command/end-csname
}% of |\tmna@thm|.


\def\tmna@thm@counter {theorem}
\def \thm@plain@getlabel #1{[#1]}%

\theoremstyle{plain}
\tmna@thm {corollary}{Corollary}
\tmna@thm{lemma}{Lemma}
\tmna@thm{prop}{Proposition}
\tmna@thm{proposition}{Proposition}
\tmna@thm{theorem}{Theorem}
\tmna@thm{claim}{Claim}
\tmna@thm{fact}{Fact}
\tmna@thm{condition}{Condition}
\tmna@thm{assertion}{Assertion}

\theoremstyle{definition}
\tmna@thm{definition}{Definition}
\tmna@thm{problem}{Problem}
\tmna@thm{conjecture}{Conjecture}
\tmna@thm{examples}{Examples}
\tmna@thm{notation}{Notation}
\tmna@thm{question}{Question}
\tmna@thm{questions}{Questions}
\tmna@thm{observation}{Observation}
\tmna@thm{assumption}{Assumption}		
\tmna@thm{assumptions}{Assumptions}
\tmna@thm{remarks}{Remarks}
\tmna@thm{hypotheses}{Hypotheses}
\tmna@thm{note}{Note}
\tmna@thm{application}{Application}

\newcounter {tmna@dummycouter}
\def\tmna@thm@counter {tmna@dummycouter}
\def\thetmna@dummycouter {\unskip\ignorespaces}
\tmna@thm{proof}{Proof}
\tmna@thm{demo}{Proof}

% if JMSz wants the "of Theorem n.n" without parentheses in the Proof,
% we should redefine 
% ^^A > \thmhead=macro:
% ^^A #1#2#3->\thmname {#1}\thmnumber {\@ifnotempty {#1}{ }\@upn {#2}}\thmnote { {\the \thm@notefont (#3)}}
% ^^A  as 
\pdef\thmhead #1#2#3{\thmname {#1}\thmnumber {\@ifnotempty {#1}{
    }\@upn {#2}}\thmnote { {%^^A\the \thm@notefont 
      #3}}}

\def\tmna@thm@counter {theorem}
%^^A \theoremstyle {remark}
\tmna@thm {example}{Example}
\tmna@thm {algorithm}{Algorithm}
%^^A \tmna@thm {proclaim}{Lemma}
\tmna@thm {remark}{Remark}

\def\thetheorem {\arabic{section}.\arabic{theorem}}

\theoremstyle {definition}
\tmna@thm {def2}{Def style}

\theoremstyle {remark}
\tmna@thm {rem2}{Rem style}


\def\@thm #1#2#3{%
  \ifhmode \unskip \unskip \par \fi
  \normalfont \trivlist \let \thmheadnl \relax \let \thm@swap \@gobble 
  \let \thm@indent \indent %%%% <<<< indentation of the theorem
  \thm@headfont {\sc }%
  \thm@notefont {\fontseries \mddefault \upshape }%
  \thm@headpunct {.}\thm@headsep 5\p@ plus\p@ minus\p@ \relax
  \thm@space@setup #1\@topsep \thm@preskip \@topsepadd \thm@postskip
  \def \@tempa {#2}%
  \ifx \@empty \@tempa
    \def \@tempa {\@oparg {\@begintheorem {#3}{}}[]}%
  \else
    \refstepcounter {#2}\def \@tempa {\@oparg {\@begintheorem
        {#3}{\csname the#2\endcsname }}[]}%
  \fi
  \@tempa 
}



\let\Cal\mathcal


\def\Refs \widestnumber\key #1{%
  \begin{thebibliography}{#1}%
  \let\ref\tmna@ref
  \let\endref\tmna@endref
}

\def\endRefs{\end{thebibliography}}

\def\tmna@ref \key#1 {%
\bibitem {#1}%
  \begingroup
  \let\by\sc
  \def\book{\tmna@refcomma \it}%
  \let\paper\book
  \def\publ{\tmna@refcomma }%
  \let\jour\publ
  \let\inbook\publ
  \let\finalinfo\publ
  \let\publaddr\publ
  \let\bookinfo\publ
  \def\vol ##1 \yr ##2 {%
    {\bf ##1} (##2)%
  }%
  \let\pages\jour
  \def\yr{\tmna@refcomma }%
}

\def\tmna@refcomma {\unskip\rm, }

\def\tmna@endref {%
  \unskip\rm.\endgraf
  \endgroup
}

\foone {%
  \catcode`!\z@
  \catcode`\\\active
}{%
  !def\#1 #2 \%%%% backslash is |\active| here, the first |%| starts a comment.
  % We start from a new line to let our Emacs balance the curly braces properly.
  {!csn{tmna@bib@#1}{#2}}

}% of escape ! and active bslash.



\def\specialsection{\@startsection{section}{1}%
  \z@{\linespacing\@plus\linespacing}{.5\linespacing}%
  {\@sectionfont\centering}}
\def\section{\@startsection{section}{1}%
  \z@{.7\linespacing\@plus\linespacing}{.5\linespacing}%
  {\@sectionfont\centering}}
\def\subsection{\@startsection{subsection}{2}%
  \z@{.5\linespacing\@plus.7\linespacing}{-.5em}%
  {\@sectionfont\indent}}
\def\subsubsection{\@startsection{subsubsection}{3}\z@{.5\linespacing\@plus.7\linespacing}{-.5em}%
{\def\@secnumfont{\it }\it\indent}}%
\def\paragraph{\@startsection{paragraph}{4}%
  \z@\z@{-\fontdimen2\font}%
  \normalfont}
\def\subparagraph{\@startsection{subparagraph}{5}%
  \z@\z@{-\fontdimen2\font}%
  \normalfont}

\def\@secnumfont{\bf}
\let\@sectionfont\@secnumfont


% modified from amsart.cls:
\def\ps@headings{%
  \ps@empty
  \def\@evenhead{%
    \setTrue{runhead}%
    \normalfont\eightpoint
    \rlap{\thepage}\tmna@checkfont\hfil
    \def\thanks{\protect\thanks@warning}%
    \leftmark{}{}\hfil}%
  \def\@oddhead{%
    \setTrue{runhead}%
    \normalfont\eightpoint \hfil
    \def\thanks{\protect\thanks@warning}%
    \rightmark{}{}\hfil \llap{\thepage}}%
  \let\@mkboth\@gobbletwo
}

% aby nr pierwszej strony (u do/lu) by/l pismem 7pt:
\def \ps@plain {%
  \ps@empty
  \def \@oddfoot {%
    \normalfont \eightpoint %^^A \sevenrm %^^A \scriptsize
    \hfil \thepage \tmna@checkfont\hfil 
  }%
  \let \@evenfoot \@oddfoot
}

\emptify \tmna@checkfont 


\AtBeginDocument {\pagestyle{headings}}


% "font w |\caption| ma by/c mniejszy":

\long\def \@caption  % %^^A the original LaTeX \@caption=\long macro: ...
#1[#2]#3{%
  \par
  \addcontentsline {\csname ext@#1\endcsname }{#1}{\protect \numberline {\csname the#1\endcsname }{\ignorespaces #2}}%
  \begingroup \@parboxrestore 
  \if@minipage \@setminipage \fi
  % ^^V \normalsize
\eightpoint
  \@makecaption {\csname fnum@#1\endcsname }{\ignorespaces #3}\par 
  \endgroup 
}



\endinput

